Bug 1001579 - systemd not setting custom keymap on tty [NEEDINFO]
Summary: systemd not setting custom keymap on tty
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-27 10:41 UTC by Marcos Terra
Modified: 2015-02-17 16:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:56:28 UTC
lpoetter: needinfo? (marcos.rmt)


Attachments (Terms of Use)

Description Marcos Terra 2013-08-27 10:41:08 UTC
Description of problem:
systemd not set the custom keymap

Version-Release number of selected component (if applicable):
kernel (3.10.9-200.fc19)

How reproducible:
Installed fc19 minimal install only tty, build a custom map because the keys slash and question are on "q" and "w" keys

Steps to Reproduce:
1. run system w/o X server
2. build a custom map
3. update /etc/vconsole.conf (KEYMAP=custom_map)
4. update /etc/default/grub (vconsole.keymap=custom_map)
5. update /boot/grub2/grub.cfg (vconsole.keymap=custom_map)

Actual results:
keys not work correctly 


Expected results:
load keymap correctly

Additional info:

localectl shows:
System Locale: LANG=pt_BR.UTF-8
VC Keymap: br-abnt2
X11 Layout: br
X11 Model: abnt2
X11 Options: terminate:ctrl_alt_bksp


not working
# localectl set-keymap br-abnt2

working with:
# localectl set-keymap br

localectl shows and map works :
System Locale: LANG=pt_BR.UTF-8
VC Keymap: br
X11 Layout: br
X11 Model: abnt2
X11 Options: terminate:ctrl_alt_bksp

if run again
# localectl set-keymap br-abnt2

localectl shows and map still works
System Locale: LANG=pt_BR.UTF-8
VC Keymap: br-abnt2
X11 Layout: br
X11 Model: abnt2
X11 Options: terminate:ctrl_alt_bksp

conf files are setting ok

/etc/vconsole.conf is ok
KEYMAP=br-abnt2

/etc/default/grub is ok 
/boot/grub/grub.cfg is ok

running loadkeys poiting to map works too

~# loadkeys ../lib/kbd/keymaps/i386/qwerty/br-abnt2.map.gz

Comment 1 Kai Engert (:kaie) (inactive account) 2013-11-05 15:29:05 UTC
I get a similar problem, reported in bug 1026872.

I'm not using a custom map, but simply want to use one of the non-US maps (german, de).

After boot, the text console still uses the US keymap.

There's also bug 1001411 where people appear to analyze related issues.

Our bugs might be duplicates of that one.

Comment 2 Lennart Poettering 2014-06-19 23:51:38 UTC
Did you rebuild the initrd and made sure the keymap is included in it?

Comment 3 Fedora End Of Life 2015-01-09 19:36:44 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 16:56:28 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.